#import "/src/lib.typ" as chronos

#chronos.from-plantuml(```plantuml
Alice -> Bob: Authentication Request
Bob --> Alice: Authentication Response

Alice -> Bob: Another authentication Request
Alice <-- Bob: Another authentication Response
```)


#chronos.diagram({
  import "/src/diagram.typ": *
  _seq("Alice", "Bob", comment: "Authentication Request")
  _seq("Bob", "Alice", comment: "Authentication Response", dashed: true)
  
  _seq("Alice", "Bob", comment: "Another authentication Request")
  _seq("Bob", "Alice", comment: "Another authentication Response", dashed: true)
})

#chronos.diagram({
  import "/src/diagram.typ": *
  _seq("Bob", "Alice", comment: "bonjour", color: red)
  _seq("Alice", "Bob", comment: "ok", color: blue)
})